#
# Conditional build
%bcond_with	tests	# perform "make check"
#
Summary:	Embeded HTTP server library
Summary(pl.UTF-8):	Biblioteka wbudowanego serwera HTTP
Name:		libmicrohttpd
Version:	0.9.22
Release:	1
License:	LGPL v2.1+
Group:		Libraries
Source0:	http://ftp.gnu.org/gnu/libmicrohttpd/%{name}-%{version}.tar.gz
# Source0-md5:	a90cb23e3087146fabc49a370c192de2
Patch0:		%{name}-info.patch
URL:		http://www.gnu.org/software/libmicrohttpd/
BuildRequires:	autoconf >= 2.61
BuildRequires:	automake >= 1:1.10
BuildRequires:	gnutls-devel
BuildRequires:	libgcrypt-devel >= 1.2.4
BuildRequires:	libtool
BuildRequires:	texinfo
%if %{with tests}
BuildRequires:	curl-devel >= 7.16.4
%endif
BuildRoot:	%{tmpdir}/%{name}-%{version}-root-%(id -u -n)

%description
GNU libmicrohttpd is a small C library that is supposed to make it
easy to run an HTTP server as part of another application.

%description -l pl.UTF-8
GNU libmicrohttpd jest małą biblioteką C, w założeniu umożliwiającą
uruchomienie serwera HTTP jako części innej aplikacji.

%package devel
Summary:	Header files to develop libmicrohttpd applications
Summary(pl.UTF-8):	Pliki nagłówkowe do rozwijania aplikacji używających libmicrohttpd
Group:		Development/Libraries
Requires:	%{name} = %{version}-%{release}
Requires:	gnutls-devel
Requires:	libgcrypt-devel >= 1.2.4

%description devel
Header files to develop libmicrohttpd applications.

%description devel -l pl.UTF-8
Pliki nagłówkowe do rozwijania aplikacji używających libmicrohttpd.

%package static
Summary:	Static libmicrohttpd libraries
Summary(pl.UTF-8):	Biblioteka statyczna libmicrohttpd
Group:		Development/Libraries
Requires:	%{name}-devel = %{version}-%{release}

%description static
Static libmicrohttpd libraries.

%description static -l pl.UTF-8
Biblioteka statyczna libmicrohttpd.

%prep
%setup -q
%patch0 -p1

%build
%{__libtoolize}
%{__aclocal} -I m4
%{__autoconf}
%{__autoheader}
%{__automake}
%configure \
%if %{with tests}
	--enable-curl \
	--enable-client-side \
%endif
	--enable-https \
	--disable-messages

%{__make}
%if %{with tests}
%{__make} check
%endif

%install
rm -rf $RPM_BUILD_ROOT

%{__make} install \
	DESTDIR=$RPM_BUILD_ROOT

%clean
rm -rf $RPM_BUILD_ROOT

%post   -p /sbin/ldconfig
%postun -p /sbin/ldconfig

%post	devel -p /sbin/postshell
-/usr/sbin/fix-info-dir -c %{_infodir}

%postun	devel -p /sbin/postshell
-/usr/sbin/fix-info-dir -c %{_infodir}

%files
%defattr(644,root,root,755)
%doc AUTHORS ChangeLog NEWS README
%attr(755,root,root) %{_libdir}/libmicrohttpd.so.*.*.*
%attr(755,root,root) %ghost %{_libdir}/libmicrohttpd.so.10

%files devel
%defattr(644,root,root,755)
%attr(755,root,root) %{_libdir}/libmicrohttpd.so
%{_libdir}/libmicrohttpd.la
%{_includedir}/microhttpd.h
%{_infodir}/microhttpd.info*
%{_infodir}/microhttpd-tutorial.info*
%{_mandir}/man3/libmicrohttpd.3*
%{_pkgconfigdir}/libmicrohttpd.pc

%files static
%defattr(644,root,root,755)
%{_libdir}/libmicrohttpd.a
%changelog
* Sat Sep 15 2012 Jakub Bogusz <qboosh@pld-linux.org> 1a9ddfe
- updated to 0.9.22

* Tue Jul 31 2012 Jakub Bogusz <qboosh@pld-linux.org> 2ce6c0d
- updated to 0.9.21

* Sun Jun 03 2012 Jakub Bogusz <qboosh@pld-linux.org> ae41248
- updated to 0.9.20

* Thu Feb 02 2012 Jakub Bogusz <qboosh@pld-linux.org> 72456ea
- updated to 0.9.19

* Wed Jan 25 2012 Jakub Bogusz <qboosh@pld-linux.org> 31c2f09
- BR: gnutls-devel (for HTTPS support)
- -devel deps

* Wed Jan 25 2012 lisu <lisu@pld-linux.org> 174addc
- 0.9.18

* Wed Nov 23 2011 lisu <lisu@pld-linux.org> 828a088
- 0.9.17

* Sun Nov 06 2011 Jakub Bogusz <qboosh@pld-linux.org> e0264d1
- updated to 0.9.16
- added info patch (unify direntries)
- added missing-files patch (missing files from svn, required to rebuild info)

* Wed Sep 28 2011 lisu <lisu@pld-linux.org> 4e0db8b
- 0.9.15

* Wed Aug 31 2011 Arkadiusz Miśkiewicz <arekm@maven.pl> 03e0a18
- release 2

* Fri Jul 15 2011 lisu <lisu@pld-linux.org> 834da6c
- 0.9.13

* Tue Jun 07 2011 lisu <lisu@pld-linux.org> 38406d3
- updated to 0.9.11

* Fri Apr 29 2011 lisu <lisu@pld-linux.org> e261414
- updated to 0.9.10

* Tue Mar 29 2011 Karol Krenski <charles@pld-linux.org> b5ee129
- up to 0.9.9

* Fri Mar 04 2011 lisu <lisu@pld-linux.org> ca98f7d
- up to 0.9.8

* Wed Feb 16 2011 lisu <lisu@pld-linux.org> b0ee48d
- up to 0.9.7

* Tue Feb 08 2011 lisu <lisu@pld-linux.org> 82e599e
- updated to 0.9.6

* Tue Jan 11 2011 lisu <lisu@pld-linux.org> e3b2fc0
- drop obsoleted rm
- rel 2

* Tue Jan 11 2011 lisu <lisu@pld-linux.org> 4c06f46
- updated to 0.9.5

* Mon Dec 27 2010 lisu <lisu@pld-linux.org> 90afcc8
- up to 0.9.4

